## org.apache.tools.ant.taskdefs
Class RecorderEntry

    java.lang.Object
      org.apache.tools.ant.taskdefs.RecorderEntry

All Implemented Interfaces:
  BuildListener, BuildLogger, java.util.EventListener

public class RecorderEntry
extends java.lang.Object
implements BuildLogger

This is a class that represents a recorder. This is the listener to the build process.

Since:
  Ant 1.4
Version:
  0.5
Author:
  J D Glanville

Constructor Summary
`protected` `RecorderEntry(java.lang.String name)`

Method Summary
`void` `buildFinished(BuildEvent event)` Signals that the last target has finished.
`void` `buildStarted(BuildEvent event)` Signals that a build has started.
`java.lang.String` `getFilename()`
`void` `messageLogged(BuildEvent event)` Signals a message logging event.
`void` `setEmacsMode(boolean emacsMode)` Sets this logger to produce emacs (and other editor) friendly output.
`void` `setErrorPrintStream(java.io.PrintStream err)` Sets the output stream to which this logger is to send error messages.
`void` `setMessageOutputLevel(int level)` Sets the highest level of message this logger should respond to.
`void` `setOutputPrintStream(java.io.PrintStream output)` Sets the output stream to which this logger is to send its output.
`void` `setRecordState(java.lang.Boolean state)` Turns off or on this recorder.
`void` `targetFinished(BuildEvent event)` Signals that a target has finished.
`void` `targetStarted(BuildEvent event)` Signals that a target is starting.
`void` `taskFinished(BuildEvent event)` Signals that a task has finished.
`void` `taskStarted(BuildEvent event)` Signals that a task is starting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecorderEntry

    protected RecorderEntry(java.lang.String name)

Parameters:
  `name` - The name of this recorder (used as the filename).

Method Detail

### getFilename

    public java.lang.String getFilename()

  Returns:
    the name of the file the output is sent to.

### setRecordState

    public void setRecordState(java.lang.Boolean state)

  Turns off or on this recorder.

  Parameters:
    `state` - true for on, false for off, null for no change.

### buildStarted

    public void buildStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a build has started. This event is fired before any targets have started.

  Specified by:
    `buildStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.

### buildFinished

    public void buildFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that the last target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### targetStarted

    public void targetStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a target is starting.

  Specified by:
    `targetStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTarget()`

### targetFinished

    public void targetFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `targetFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### taskStarted

    public void taskStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a task is starting.

  Specified by:
    `taskStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTask()`

### taskFinished

    public void taskFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a task has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `taskFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### messageLogged

    public void messageLogged(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals a message logging event.

  Specified by:
    `messageLogged` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getMessage()`, `BuildEvent.getPriority()`

### setMessageOutputLevel

    public void setMessageOutputLevel(int level)

  Description copied from interface: `BuildLogger`
  Sets the highest level of message this logger should respond to. Only messages with a message level lower than or equal to the given level should be written to the log.

  Constants for the message levels are in the `Project` class. The order of the levels, from least to most verbose, is `MSG_ERR`, `MSG_WARN`, `MSG_INFO`, `MSG_VERBOSE`, `MSG_DEBUG`.

  Specified by:
    `setMessageOutputLevel` in interface `BuildLogger`
  Parameters:
    `level` - the logging level for the logger.

### setOutputPrintStream

    public void setOutputPrintStream(java.io.PrintStream output)

  Description copied from interface: `BuildLogger`
  Sets the output stream to which this logger is to send its output.

  Specified by:
    `setOutputPrintStream` in interface `BuildLogger`
  Parameters:
    `output` - The output stream for the logger. Must not be `null`.

### setEmacsMode

    public void setEmacsMode(boolean emacsMode)

  Description copied from interface: `BuildLogger`
  Sets this logger to produce emacs (and other editor) friendly output.

  Specified by:
    `setEmacsMode` in interface `BuildLogger`
  Parameters:
    `emacsMode` - `true` if output is to be unadorned so that emacs and other editors can parse files names, etc.

### setErrorPrintStream

    public void setErrorPrintStream(java.io.PrintStream err)

  Description copied from interface: `BuildLogger`
  Sets the output stream to which this logger is to send error messages.

  Specified by:
    `setErrorPrintStream` in interface `BuildLogger`
  Parameters:
    `err` - The error stream for the logger. Must not be `null`.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.